import { select, json, geoPath, geoMercator } from 'd3';
import { feature } from 'topojson';

const svg = select('svg');

const projection = geoMercator()
	.center([105, 43])
	.scale([820]);
const pathGenerator = geoPath().projection(projection)

/* We have raw geoJson data available. Change it later. */
const basemapUrl = 'https://gist.githubusercontent.com/Manasa891-git/2aecc428874fa0984d01ff96d1e94686/raw/de4711aca23fa9c24c3d70fb545fadaf8d075dca/china.json';

json(basemapUrl)
	.then(data => {
  	const countries = feature(data, data.objects.china_city_basemap)
    svg.selectAll('path')
      .data(countries.features)
  		.enter().append('path')
  		.attr('class', 'country')
  		.attr('d', pathGenerator)
  });

/*
const basemapUrl = 'https://gist.githubusercontent.com/Manasa891-git/2aecc428874fa0984d01ff96d1e94686/raw/de4711aca23fa9c24c3d70fb545fadaf8d075dca/china.json';

json(basemapUrl)
	.then(data => {
  	console.log(data);
    svg.selectAll('path')
      .data(data.features)
      .enter().append('path')
        .attr('class', 'country')
        .attr('d', pathGenerator)
	})
  
*/

